<div class="dashboardWrapper" ng-controller="DashCtrl">
  <div class="meanWrapper">
    <span><b>Activa:</b> Carrera en la cual los usuarios pueden retar, ser retados y sobre la que se va a medir el tiempo de competencia.</span> <span class="ui button " ng-click="terminos = !terminos">Editar términos y condiciones</span>
    <br>
    <span><b>Estado:</b> Define si la carrera se ve en la aplicación.</span>
  </div>
  <!-- Términos y condiciones -->
  <div class="terminosButton">

    <div class="ui flowing popup hidden" ng-class="{'visible':terminos}">
      <div class="cont">
        <h4 class="ui header">Términos y condiciones</h4>
        <div class="ui form">
          <div class="field">
            <textarea name="terms" id="terms" cols="70" rows="20" ng-model="termsCond" required></textarea>
          </div>
          <div class="ui button positive" ng-click="addTerms()">Guardar</div>
          <div ng-click="terminos=!terminos" class="ui negative button exit">Cancelar</div>
        </div>
      </div>
    </div>
  </div>
  <button class="ui button logout" ng-click="logout()">
    Cerrar Sesión
  </button>
  <div class="adicion">
    <div class="ui button " ng-click="variable = !variable">Agregar Nueva Carrera</div>
    <div class="ui flowing popup bottom left transition hidden" ng-class="{'visible':variable}">
      <div class="ui one column divided center aligned grid">
        <div class="column">
          <h4 class="ui header">Nombre de la carrera</h4>
          <div class="ui action input">
            <form action="">
              <input type="text" placeholder="Nombre..." ng-model="raceName" required>
              <input type="submit" class="ui button" value="Aceptar" ng-click="addRace()"></input>
              <input type="submit" class="ui button" value="Cancelar" ng-click="variable = !variable"></input>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="ui middle aligned divided list">
    <div class="item race heads">
      <span class="name">Nombre</span>
      <span class="active">Activa</span>
      <span class="date">Fecha</span>
      <span class="pub">Estado</span>
    </div>
    <div class="item race" ng-repeat="item in carreras | toArray | orderBy:'date'">
      <div class="right floated content">
        <div class="inline field checkActive" ng-if="item.date > fechaActual">
          <div class="ui toggle checkbox" ng-class="(carreraActiva == item.id) ? 'checked' : ''" ng-click="confirmarAct(carreraActiva,item.id)">
            <input type="checkbox" tabindex="0" class="hidden">
            <label></label>
          </div>
        </div>
        <span class="fechaDash">- {{item.date | date:'dd/MM/yyyy'}} -</span>
        <span class="pubDash">
				<label ng-show="item.publicado" class="publicado">Publicado</label>
				<label ng-hide="item.publicado" class="noPublicado">NO publicado</label>
			</span>
        <button type="button" class="ui button" ng-click="delRace = !delRace">Eliminar</button>
        <div class="delRaceWrapper" ng-show="delRace">
          <div class="ui one column divided center aligned grid">
            <div class="column">
              <div class="">
                <label>¿Está seguro que desea eliminar esta carrera?</label>
                <br>
                <input type="button" class="ui button" value="Aceptar" ng-click="borrarCarrera(item.id)"></input>
                <input type="button" class="ui button" value="Cancelar" ng-click="delRace = !delRace"></input>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="itemsWrapper" ui-sref="internacarrera({idCarrera:item.id})">
        <img class="ui avatar image" src="img/icon.png">
        <!-- src="/images/avatar2/small/lena.png"-->
        <div class="content">
          <span>{{item.nombre}}</span>
        </div>
      </div>
    </div>
  </div>

  <div class="actRaceWrapper" ng-show="actRace">
    <div class="ui one column divided center aligned grid">
      <div class="column">
        <div class="">
          <label>¿Está seguro que desea activar esta carrera?</label>
          <br>
          <input type="button" class="ui button" value="Aceptar" ng-click="activarCarrera(carreraActiva,newKey)"></input>
          <input type="button" class="ui button" value="Cancelar" ng-click="test()"></input>
        </div>
      </div>
    </div>
  </div>
</div>